/*-------------------------------------------------------- 
* Module Name : cattp and sms lib
* Version : 1.7.1
* 
* Software Name : Transport Manager
* Version : 1.7.1
*
* Copyright © 01-10-2012 – 01-10-2012 France Télécom
* This software is distributed under the Apache (v2) license,
* the text of which is available at http://www.apache.org/licenses/LICENSE-2.0.html
* or see the "license.txt" file for more details.
*
*--------------------------------------------------------
* File Name   : ${file_name}
*
* Created     : ${date}
* Author(s)   : ${authors}
*
* Description :
* Object representing a ack pdu.
*
*--------------------------------------------------------
* ${Log}
*
*/

package com.orange.labs.quickpass.tm.cattp.pdu;

import com.orange.labs.quickpass.tm.session.CATTPSession;

/**
 * Object representing a ack pdu.
 * @see CATTPPdu
 */
public final class AckPdu extends CATTPPdu {

    /**
     * Constructor to build Ack Pdu
     * @param header header
     * @param securePacket securePacket
     * @param segmented segmented
     * @param session session
     */
    public AckPdu(CATTPHeader header, byte[] securePacket, boolean segmented, CATTPSession session) {

        super(header, securePacket, segmented, session);
        this.datagram = buildAckPdu(header, securePacket, segmented);
    }

    private static byte[] buildAckPdu(CATTPHeader header, byte[] securePacket, boolean segmented) {
        return buildPdu(ACK, header, securePacket, segmented);

    }

}
