/*-------------------------------------------------------- 
* Module Name : cattp and sms lib
* Version : 1.7.1
* 
* Software Name : Transport Manager
* Version : 1.7.1
*
* Copyright © 01-10-2012 – 01-10-2012 France Télécom
* This software is distributed under the Apache (v2) license,
* the text of which is available at http://www.apache.org/licenses/LICENSE-2.0.html
* or see the "license.txt" file for more details.
*
*--------------------------------------------------------
* File Name   : ${file_name}
*
* Created     : ${date}
* Author(s)   : ${authors}
*
* Description :
* Object representing a nul pdu.
*
*--------------------------------------------------------
* ${Log}
*
*/

package com.orange.labs.quickpass.tm.cattp.pdu;

import com.orange.labs.quickpass.tm.session.CATTPSession;

/**
 * Object representing a nul pdu.
 * @see CATTPPdu
 */
public class NulPdu extends CATTPPdu {

    /**
     * Constructor to build NuL Pdu
     * @param header nul header
     * @param session current session
     */
    public NulPdu(CATTPHeader header, CATTPSession session) {
        super(header, null, false, session);
        this.datagram = buildNulPdu(header);
    }

    private static byte[] buildNulPdu(CATTPHeader header) {
        return buildPdu((byte) (CATTPPdu.ACK | CATTPPdu.NUL), header, null, false);
    }
}
