/*-------------------------------------------------------- 
* Module Name : cattp and sms lib
* Version : 1.7.1
* 
* Software Name : Transport Manager
* Version : 1.7.1
*
* Copyright © 01-10-2012 – 01-10-2012 France Télécom
* This software is distributed under the Apache (v2) license,
* the text of which is available at http://www.apache.org/licenses/LICENSE-2.0.html
* or see the "license.txt" file for more details.
*
*--------------------------------------------------------
* File Name   : ${file_name}
*
* Created     : ${date}
* Author(s)   : ${authors}
*
* Description :
* Object representing a reset pdu.
*
*--------------------------------------------------------
* ${Log}
*
*/



package com.orange.labs.quickpass.tm.cattp.pdu;

import com.orange.labs.quickpass.tm.session.CATTPSession;

/**
 * RstPdu
 * @see CATTPPdu
 */
public class RstPdu extends CATTPPdu {

    /**
     * NORMAL_ENDING_REASON_CODE
     */
    public static final byte NORMAL_ENDING_REASON_CODE = 0;
    /**
     * TEMPORARILY_UNABLE_TO_SET_UP_THIS_CONNECTION
     */
    public static final byte TEMPORARILY_UNABLE_TO_SET_UP_THIS_CONNECTION = 2;
    /**
     * UNEXPECTED_PDU_RECEIVED
     */
    public static final byte UNEXPECTED_PDU_RECEIVED = 4;
    /**
     * UNEXPECTED_PDU_RECEIVED
     */
    public static final byte MAX_RETRIES_EXCEEDED = 5;

    /**
     * Default Constructor
     * @param header header
     * @param session session
     */
    public RstPdu(CATTPHeader header, CATTPSession session) {

        super(header, null, false, session);
        this.datagram = buildPdu(RST, header, null, false);
        resetCause = header.getReasonCode();       
    }

}
