/*-------------------------------------------------------- 
* Module Name : cattp and sms lib
* Version : 1.7.1
* 
* Software Name : Transport Manager
* Version : 1.7.1
*
* Copyright © 01-10-2012 – 01-10-2012 France Télécom
* This software is distributed under the Apache (v2) license,
* the text of which is available at http://www.apache.org/licenses/LICENSE-2.0.html
* or see the "license.txt" file for more details.
*
*--------------------------------------------------------
* File Name   : ${file_name}
*
* Created     : ${date}
* Author(s)   : ${authors}
*
* Description :
* Bean class for syn pdu extra data
*
*--------------------------------------------------------
* ${Log}
*
*/


package com.orange.labs.quickpass.tm.cattp.pdu;

/**
 * Bean class for syn pdu
 * SynExtraData
 */
public class SynExtraData {

    private int maxPduSize;
    private int maxSduSize;
    private byte[] identificationData;

    /**
     * @param maxPduSize max pdu size
     * @param maxSduSize max sdu size
     * @param identificationData identification data
     */
    public SynExtraData(int maxPduSize, int maxSduSize, byte[] identificationData) {
        this.maxPduSize = maxPduSize;
        this.maxSduSize = maxSduSize;
        this.identificationData = identificationData;
    }

    /**
     * getter identification data
     * @return SYN identification data
     */
    public byte[] getIdentificationData() {
        return identificationData;
    }

    /**
     * setter for identification data
     * @param identificationData
     */
    public void setIdentificationData(byte[] identificationData) {
        this.identificationData = identificationData;
    }

    /**
     * getter pdu size
     * @return pdu size
     */
    public int getMaxPduSize() {
        return maxPduSize;
    }

    /**
     * setter pdu size
     * @param maxPduSize
     */
    public void setMaxPduSize(int maxPduSize) {
        this.maxPduSize = maxPduSize;
    }

    /**
     * getter sdu size
     * @return sdu size
     */
    public int getMaxSduSize() {
        return maxSduSize;
    }

    /**
     * setter sdu size
     * @param maxSduSize sdu Size
     */
    public void setMaxSduSize(int maxSduSize) {
        this.maxSduSize = maxSduSize;
    }

}
