/*-------------------------------------------------------- 
 * Module Name : cattp and sms lib
 * Version : 1.7.1
 * 
 * Software Name : Transport Manager
 * Version : 1.7.1
 *
 * Copyright © 01-10-2012 – 01-10-2012 France Télécom
 * This software is distributed under the Apache (v2) license,
 * the text of which is available at http://www.apache.org/licenses/LICENSE-2.0.html
 * or see the "license.txt" file for more details.
 *
 *--------------------------------------------------------
 * File Name   : ${file_name}
 *
 * Created     : ${date}
 * Author(s)   : ${authors}
 *
 * Description :
 * Transport Session
 *
 *--------------------------------------------------------
 * ${Log}
 *
 */
package com.orange.labs.quickpass.tm.session;

import com.orange.labs.quickpass.tm.notifier.TransportReplyService;
import com.orange.labs.quickpass.type.Msisdn;
import java.util.ArrayList;
import java.util.List;
import javax.annotation.Resource;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * TransportSession
 */
public abstract class AbstractTransportSession implements Runnable {

    /**
     * LOGGER
     */
    protected static Logger log = LoggerFactory.getLogger(AbstractTransportSession.class);
    /**
     * The session notifier to the outside world
     */
    @Resource
    protected TransportReplyService transportReply;
    /**
     * associated msisdn
     */
    protected Msisdn msisdn;
    /**
     * external session Id
     */
    protected String sessionId;
    /**
     * securePackets
     */
    protected List<byte[]> securePackets = new ArrayList<byte[]>();
    /**
     * securePacketsRespArray
     */
    protected List<byte[]> securePacketsResp = new ArrayList<byte[]>();

    /**
     * Default constructor
     */
    public AbstractTransportSession() {
    }

    /**
     *
     * @return the msisdn
     */
    public Msisdn getMsisdn() {
        return msisdn;
    }

    /**
     *
     * @param msisdn the msisdn
     */
    public void setMsisdn(Msisdn msisdn) {
        this.msisdn = msisdn;
    }

    /**
     *
     * @param securePackets secure packets
     */
    public void setSecurePackets(List<byte[]> securePackets) {
        this.securePackets = securePackets;
    }

    /**
     *
     * @param sessionId sessionId
     */
    public void setSessionId(String sessionId) {
        this.sessionId = sessionId;
    }

    /**
     *
     * @return transportReply
     */
    public TransportReplyService getTransportReply() {
        return transportReply;
    }
}
