/*-------------------------------------------------------- 
* Module Name : cattp and sms lib
* Version : 1.7.1
* 
* Software Name : Transport Manager
* Version : 1.7.1
*
* Copyright © 01-10-2012 – 01-10-2012 France Télécom
* This software is distributed under the Apache (v2) license,
* the text of which is available at http://www.apache.org/licenses/LICENSE-2.0.html
* or see the "license.txt" file for more details.
*
*--------------------------------------------------------
* File Name   : ${file_name}
*
* Created     : ${date}
* Author(s)   : ${authors}
*
* Description :
* SMS Gateway interface
*
*--------------------------------------------------------
* ${Log}
*
*/

package com.orange.labs.quickpass.tm.sms.gateway;

import com.orange.labs.quickpass.tm.session.SMSSession;

/**
 *
 * SMSGateway Interface (spring internal interface)
 * This interface forward data to the gateway adapter
 */
public interface SMSGateway  {
    /**
     * send text SMS
     * @param session session
     */
    void sendText(SMSSession session);

    /**
     * send binary SMS (secured packet)
     * @param session session
     */
    void sendBinarySMS(SMSSession session);

    /**
     * send push registry sms
     * @param session session
     */
    void sendPushSMS(SMSSession session);

    /**
     * send wap push sms
     * @param session session
     */
    void sendWapPushSMS(SMSSession session);
    
}
