/*-------------------------------------------------------- 
* Module Name : cattp and sms lib
* Version : 1.7.1
* 
* Software Name : Transport Manager
* Version : 1.7.1
*
* Copyright © 01-10-2012 – 01-10-2012 France Télécom
* This software is distributed under the Apache (v2) license,
* the text of which is available at http://www.apache.org/licenses/LICENSE-2.0.html
* or see the "license.txt" file for more details.
*
*--------------------------------------------------------
* File Name   : ${file_name}
*
* Created     : ${date}
* Author(s)   : ${authors}
*
* Description :
* SMS Server interface
*
*--------------------------------------------------------
* ${Log}
*
*/

package com.orange.labs.quickpass.tm.sms.server;

import com.orange.labs.quickpass.tm.service.cattp.SessionNotFoundException;
import com.orange.labs.quickpass.tm.gateway.SMSListener;
import com.orange.labs.quickpass.tm.session.SMSSession;
import com.orange.labs.quickpass.type.Msisdn;

/**
 * SMS Server Interface (spring purpose)
 */
public interface SMSServer extends SMSListener {
    /**
     * executor entry point
     * @param session transport session
     */
    void executeAndStoreSession(SMSSession session);
    
    /**
     * Retrieves a SMS session
     *
     * @param msisdn search criteria
     * @return returns the session associated with msisdn
     * @throws SessionNotFoundException  
     */
    SMSSession getSessionByMsisdn(Msisdn msisdn) throws SessionNotFoundException;
   
}
